Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class AttributeSummarizer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      weka.gui.beans.DataVisualizer
                          weka.gui.beans.AttributeSummarizer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, DataSourceListener, TestSetListener, TrainingSetListener, UserRequestAcceptor, Visible

    public class AttributeSummarizer

extends DataVisualizer

Bean that encapsulates displays bar graph summaries for attributes in a data set.

Version:
  $Revision: 1.7.2.1 $
Author:
  Mark Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AttributeSummarizer()` Creates a new `AttributeSummarizer` instance.

Method Summary
`java.util.Enumeration` | `enumerateRequests()` Return an enumeration of actions that the user can ask this bean to perform
`int` | `getColoringIndex()` Return the coloring index for the attribute summary plots
`int` | `getGridWidth()` Get the width of the grid of plots
`int` | `getMaxPlots()` Get the number of plots to display
`java.lang.String` | `globalInfo()` Global info for this bean
`static void` | `main(java.lang.String[] args)`
`void` | `performRequest(java.lang.String request)` Perform a named user request
`void` | `setBeanContext(java.beans.beancontext.BeanContext bc)` Set a bean context for this bean
`void` | `setColoringIndex(int ci)` Set the coloring index for the attribute summary plots
`void` | `setDesign(boolean design)` Set whether the appearance of this bean should be design or application
`void` | `setGridWidth(int gw)` Set the width of the grid of plots
`void` | `setInstances(Instances inst)` Set instances for this bean.
`void` | `setMaxPlots(int mp)` Set the maximum number of plots to display
`void` | `useDefaultVisual()` Use the default appearance for this bean

Methods inherited from class weka.gui.beans.DataVisualizer
`acceptDataSet, acceptTestSet, acceptTrainingSet, addPropertyChangeListener, addVetoableChangeListener, getBeanContext, getVisual, removePropertyChangeListener, removeVetoableChangeListener, setVisual`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeSummarizer

    public AttributeSummarizer()

  Creates a new `AttributeSummarizer` instance.

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Global info for this bean

  Overrides:
    `globalInfo` in class `DataVisualizer`
  Returns:
    a `String` value

### setColoringIndex

    public void setColoringIndex(int ci)

  Set the coloring index for the attribute summary plots

  Parameters:
    `ci` - an `int` value

### getColoringIndex

    public int getColoringIndex()

  Return the coloring index for the attribute summary plots

  Returns:
    an `int` value

### setGridWidth

    public void setGridWidth(int gw)

  Set the width of the grid of plots

  Parameters:
    `gw` - the width of the grid

### getGridWidth

    public int getGridWidth()

  Get the width of the grid of plots

  Returns:
    the grid width

### setMaxPlots

    public void setMaxPlots(int mp)

  Set the maximum number of plots to display

  Parameters:
    `mp` - the number of plots to display

### getMaxPlots

    public int getMaxPlots()

  Get the number of plots to display

  Returns:
    the number of plots to display

### setDesign

    public void setDesign(boolean design)

  Set whether the appearance of this bean should be design or application

  Parameters:
    `design` - true if bean should appear in design mode

### useDefaultVisual

    public void useDefaultVisual()

  Use the default appearance for this bean

  Specified by:
    `useDefaultVisual` in interface `Visible`
  Overrides:
    `useDefaultVisual` in class `DataVisualizer`

### enumerateRequests

    public java.util.Enumeration enumerateRequests()

  Return an enumeration of actions that the user can ask this bean to perform

  Specified by:
    `enumerateRequests` in interface `UserRequestAcceptor`
  Overrides:
    `enumerateRequests` in class `DataVisualizer`
  Returns:
    an `Enumeration` value

### setBeanContext

    public void setBeanContext(java.beans.beancontext.BeanContext bc)

  Set a bean context for this bean

  Specified by:
    `setBeanContext` in interface `java.beans.beancontext.BeanContextChild`
  Overrides:
    `setBeanContext` in class `DataVisualizer`
  Parameters:
    `bc` - a `BeanContext` value

### setInstances

    public void setInstances(Instances inst)
                      throws java.lang.Exception

  Set instances for this bean. This method is a convenience method for clients who use this component programatically

  Overrides:
    `setInstances` in class `DataVisualizer`
  Parameters:
    `inst` - an `Instances` value
  Throws:
    `java.lang.Exception` - if an error occurs

### performRequest

    public void performRequest(java.lang.String request)

  Perform a named user request

  Specified by:
    `performRequest` in interface `UserRequestAcceptor`
  Overrides:
    `performRequest` in class `DataVisualizer`
  Parameters:
    `request` - a string containing the name of the request to perform
  Throws:
    `java.lang.IllegalArgumentException` - if request is not supported

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD